Subject: [core] #153: Make congestion control recommendation more actionable

From: "core issue tracker" <[email-masked]>
Date: Thu, 19 May 2011 20:51:36 -0000

#153: Make congestion control recommendation more actionable

 As per Cullen's comment, we need to be more specific about how an
 implementation should limit the number of simultaneous outstanding
 interactions so we can still argue this is a stop-and-wait protocol.

 Proposed text:

         In order not to cause congestion, Clients (including proxies)
         SHOULD strictly limit the number of simultaneous outstanding
         interactions that they maintain to a given server (including
         proxies).  An outstanding interaction is either a CON for
         which an ACK has not yet been received but is still expected
         (message layer) or a request for which a response has not yet
         been received but is still expected (which may both occur at
         the same time, counting as one outstanding interaction).  A
         good value for this limit is the number 1.

         (Note that {{RFC2616}}, in trying to achieve a similar
         objective, did specify a specific number of simultaneous
         connections as a ceiling.  While revising {{RFC2616}}, this
         was found to be impractical for many applications
         {{I-D.ietf-httpbis-p1-messaging}}.  For the same
         considerations, this specification does not mandate a
         particular maximum number of outstanding interactions, but
         instead encourages clients to be conservative when initiating
         interactions.)

-- 
----------------------------------+-----------------------------------------
 Reporter:  cabo@…                |       Owner:  draft-ietf-core-coap@…             
     Type:  protocol enhancement  |      Status:  new                                
 Priority:  major                 |   Milestone:                                     
Component:  coap                  |     Version:                                     
 Severity:  Active WG Document    |    Keywords:                                     
----------------------------------+-----------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/153>
core <http://tools.ietf.org/core/>